Bulk Assign Package Labels
https://app.fossa.com/api/package-label-assignments/bulkAssign a single Package Label to multiple packages at once. Note - This endpoint is not available for organizations on the Free plan.
Request body (required) · application/json
packageLocatorsstring[]requiredArray of revision locators to assign the label to. Must include the version (e.g., 'npm+lodash$4.17.21').
labelIdintegerrequiredThe ID of the label to assign to all packages.
scopeenumrequiredThe scope of the package label assignment.
orgprojectrevisionscopeIdstringThe ID of the scope to assign labels to. Required if scope is 'project' or 'revision'.
shouldUseSpecificVersionbooleanIf true, labels will apply to the specific versions provided in the packageLocators. If false, labels will apply to all versions of the packages (ignoring the version part of the locator). Defaults to true.
Responses
201CreatedpackageLabelAssignmentsobject[]requiredThe package label assignments that were written. Newly created assignments only -- existing (duplicate) assignments are not returned.
idintegerrequiredThe ID of the package label assignment.
createdAtstring <date-time>requiredThe date and time the package label assignment was created.
updatedAtstring <date-time>requiredThe date and time the package label assignment was last updated.
organizationIdintegerrequiredThe ID of the organization that owns the package label assignment.
labelIdintegerrequiredThe ID of the label that was assigned to the package.
packageIdstringrequiredThe ID of the package that the label was assigned to.
packageVersionstringThe version of the package that the label was assigned to or null if the label was assigned to all versions.
scopeenumrequiredThe scope of the package label assignment.
orgprojectrevisionscopeIdstringrequiredThe ID of the scope that the label was assigned to or null if the label was assigned to all scopes.
400Bad request - Invalid input such as empty packageLocators array, missing required fields, or invalid scope.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403Forbidden - User does not have permission to assign labels or organization is on Free plan.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not Found - Package label or one or more packages do not exist.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Internal server erroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/package-label-assignments/bulkcurl --request POST \ --url 'https://app.fossa.com/api/package-label-assignments/bulk' \ --header 'accept: application/json' \ --header 'content-type: application/json' \ --data '{ "packageLocators": [ "npm+lodash$4.17.21", "npm+react$17.0.2", "maven+com.google.guava:guava$30.1-jre" ], "labelId": 1, "scope": "org", "shouldUseSpecificVersion": true}'Real request. Mutating methods can change data.